apiVersion: gateway.networking.k8s.io/v1beta1
kind: HTTPRoute
metadata:
  name: invalid-header-name
spec:
  rules:
  - matches:
    - headers:
      - type: Exact
        name: magic/
        value: foo
